> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# OAuth userinfo endpoint

> Returns the claims and permissions of the access token used for this request. Required permission: none. Available contexts: All.



## OpenAPI

````yaml /api/core-api/crmiapi.json get /api/v1/oauth/userinfo
openapi: 3.2.0
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.141.0
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/oauth/userinfo:
    get:
      tags:
        - OAuth
      summary: OAuth userinfo endpoint
      description: >-
        Returns the claims and permissions of the access token used for this
        request. Required permission: none. Available contexts: All.
      operationId: /api/v1/oauth/userinfo_GET
      parameters:
        - name: Accept-Language
          in: header
          description: BCP 47 language tag for content negotiation (e.g. en, de-DE).
          required: false
          schema:
            type: string
            description: BCP 47 language tag for content negotiation (e.g. en, de-DE).
            example: en
      responses:
        '200':
          headers:
            Content-Language:
              description: The locale of the response content (BCP 47 language tag).
              required: false
              schema:
                type: string
                example: en
          content:
            application/json:
              schema:
                type: object
                required:
                  - sub
                  - sub_type
                  - permissions
                properties:
                  sub:
                    type: string
                    description: Subject, the UUID of the auth login
                  sub_type:
                    type: string
                    description: Entity type of the subject (e.g. contract)
                  email:
                    type: string
                    description: E-mail address, only with the email scope
                  tenant_id:
                    type: string
                    description: UUID of the tenant (client)
                  roles:
                    type: array
                    items:
                      type: string
                    description: Roles granted to the token
                  permissions:
                    type: array
                    items:
                      type: string
                    description: Permissions of the subject
          description: OAuth userinfo of the authenticated entity
        '401':
          headers:
            Content-Language:
              description: The locale of the response content (BCP 47 language tag).
              required: false
              schema:
                type: string
                example: en
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Unauthorized
        '405':
          headers:
            Content-Language:
              description: The locale of the response content (BCP 47 language tag).
              required: false
              schema:
                type: string
                example: en
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Method not allowed
        '500':
          headers:
            Content-Language:
              description: The locale of the response content (BCP 47 language tag).
              required: false
              schema:
                type: string
                example: en
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Internal server error
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [OAuth / Refresh Token](https://chargecloud.dev/api-reference/oauth/oauth-refresh-token.md)
- [OAuth / Issue Token](https://chargecloud.dev/api-reference/oauth/oauth-issue-token.md)
- [Introduction](https://chargecloud.dev/api/core-api/index.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.